let () = 
  let cubesFile = Sys.argv.(1) in
  let cubes = Parser.read_cubes cubesFile in
  let cnf = Coq.the_Asymmetric_CNF in
  for i = (int_of_string Sys.argv.(2)) to (int_of_string Sys.argv.(3)) do
    let cube = List.nth cubes (i-1) in
    let grupFile = "cubes/" ^ (string_of_int ((i-1)/1000)) ^ "/a" ^ (string_of_int i) ^ ".grit" in
    let grup = Parser.read_grup grupFile in
    if Coq.refute (Coq.cubed_CNF cnf cube) grup = Coq.True then
      print_endline ((string_of_int i) ^ ": True")
    else
      print_endline ((string_of_int i) ^ ": False")
  done
