#!/bin/bash
i=$1
rm -rf cubes/$i cubes/a$i.tar cubes/*.$i.log
mkdir -p cubes/$i
./prepare_cubes.py transformed.cnf million.cubes $i
cd cubes
wget http://web.corral.tacc.utexas.edu/ptn/a$i.tar
tar xf a$i.tar
cd $i
bunzip2 *.bz2
files=$(ls | grep -v head | sort -n -k 1.2)
NPROC=$(command -v nproc >/dev/null && nproc || sysctl -n hw.ncpu)
echo using $NPROC cores
(echo $files | xargs -P $NPROC -n 1 ../../prepare_help.sh) 2>&1 | tee ../prepare.$i.log
cd ../../
rm -rf cubes/a$i.tar
