#!/bin/bash
BIN=../../grit/bin
j=$1
cp $j.head $j.cnf
rm $j.head
tail -n +2 ../../transformed.cnf >> $j.cnf
echo "p inccnf" > $j.icnf
tail -n +2 $j.cnf >> $j.icnf
../../cube-decode $j >> $j.icnf
rm $j
$BIN/iglucose $j.icnf -certified -certified-output=$j.rup -verb=0 > /dev/null
rm $j.icnf
$BIN/drat-trim $j.cnf $j.rup -r $j.trig > /dev/null
rm $j.cnf $j.rup
command -v tac >/dev/null && tac $j.trig > $j.temp || gtac $j.trig > $j.temp
rm $j.trig
../../prepare_sort.py $j.temp > $j.grit
rm $j.temp
echo "$j: $(ls -lah $j.grit | awk '{print $5;}')"
